Search documentation of ExStreamClient

# ExStreamClient.Model.ThreadStateResponse (ExStreamClient v0.1.10)

View Source

Schema representing a ThreadStateResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ThreadStateResponse{
      active_participant_count: integer() | nil,
      channel: ExStreamClient.Model.ChannelResponse.t() | nil,
      channel_cid: String.t(),
      created_at: float(),
      created_by: ExStreamClient.Model.UserResponse.t() | nil,
      created_by_user_id: String.t(),
      custom: %{optional(String.t()) => any()},
      deleted_at: float() | nil,
      draft: ExStreamClient.Model.DraftResponse.t() | nil,
      last_message_at: float() | nil,
      latest_replies: [ExStreamClient.Model.MessageResponse.t()],
      parent_message: ExStreamClient.Model.MessageResponse.t() | nil,
      parent_message_id: String.t(),
      participant_count: integer() | nil,
      read: [ExStreamClient.Model.ReadStateResponse.t()] | nil,
      reply_count: integer() | nil,
      thread_participants: [ExStreamClient.Model.ThreadParticipant.t()] | nil,
      title: String.t(),
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()